# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-tw2-core
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


%global modname tw2.core

Name:           python-module-tw2-core
Version:        2.0.5
Release:        alt1_5
Summary:        Web widget creation toolkit based on TurboGears widgets

Group:          Development/Python
License:        MIT
URL:            http://toscawidgets.org
Source0:        http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

# For building, generally
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  python-webob1.0 >= 0.9.7
%else
BuildRequires:  python-module-webob >= 0.9.7
%endif
BuildRequires:  python-module-simplejson >= 2.0
BuildRequires:  python-module-decorator
BuildRequires:  python-module-speaklater
BuildRequires:  python-module-PasteDeploy

# Specifically for the test suite
BuildRequires:  python-module-unittest2
BuildRequires:  python-module-nose
BuildRequires:  python-module-coverage
BuildRequires:  python-module-BeautifulSoup
BuildRequires:  python-module-FormEncode
BuildRequires:  python-module-webtest
BuildRequires:  python-module-strainer

# Templating languages for the test suite
BuildRequires:  python-module-mako
BuildRequires:  python-module-genshi
BuildRequires:  python-module-turbokid
BuildRequires:  python-module-turbocheetah

# Runtime requirements
%if %{?rhel}%{!?rhel:0} >= 6
Requires:       python-webob1.0 >= 0.9.7
%else
%endif
Source44: import.info
# in .pth
%py_provides tw2
%filter_from_requires /^python....tw2./d


%description
ToscaWidgets is a web widget toolkit for Python to aid in the creation,
packaging and distribution of common view elements normally used in the web.

The tw2.core package is lightweight and intended for run-time use only;
development tools are in tw2.devtools.

%prep
%setup -q -n %{modname}-%{version}

%if %{?rhel}%{!?rhel:0} >= 6

# Make sure that epel/rhel picks up the correct version of webob
awk 'NR==1{print "import __main__; __main__.__requires__ = __requires__ = [\"WebOb>=1.0\"]; import pkg_resources"}1' setup.py > setup.py.tmp
mv setup.py.tmp setup.py

# Remove all the fancy nosetests configuration for older python
rm setup.cfg

%endif

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root=%{buildroot}

%files
%doc README.rst LICENSE.txt
%{python_sitelibdir_noarch}/tw2
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_5
- update to new release by fcimport

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 2.0.5-alt1_3
- initial fc import

